## trjcat

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

trjcat concatenates several input trajectory files in sorted order. In case of double time frames the one in the later file is used. By specifying `-settime` you will be asked for the start time of each file. The input files are taken from the command line, such that a command like `trjcat -o fixed.trr *.trr` should do the trick. Using `-cat` you can simply paste several files together without removal of frames with identical time stamps.

One important option is inferred when the output file is amongst the input files. In that case that particular file will be appended to which implies you do not need to store double the amount of data. Obviously the file to append to has to be the one with lowest starting time since one can only append at the end of a file.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input, Mult. | Generic trajectory: xtc trr trj gro g96 pdb
`-o` | `trajout.xtc` | Output | Generic trajectory: xtc trr trj gro g96 pdb
`-n` | `index.ndx` | Input, Opt. | Index file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-tu` | enum | `ps` | Time unit: `ps`, `fs`, `ns`, `us`, `ms`, `s`, `m` or `h`
`-b` | time | `-1` | First time to use (ps)
`-e` | time | `-1` | Last time to use (ps)
`-dt` | time | `0` | Only write frame when t MOD dt = first time (ps)
`-prec` | int | `3` | Precision for .xtc and .gro writing in number of decimal places
`-[no]vel` | bool | `yes` | Read and write velocities if possible
`-[no]settime` | bool | `no` | Change starting time interactively
`-[no]sort` | bool | `yes` | Sort trajectory files (not frames)
`-[no]keeplast` | bool | `no` | keep overlapping frames at end of trajectory
`-[no]cat` | bool | `no` | do not discard double time frames

http://www.gromacs.org
gromacs@gromacs.org